package com.ruoyi.project.plant.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.plant.mapper.TManageactivityMapper;
import com.ruoyi.project.plant.domain.TManageactivity;
import com.ruoyi.project.plant.service.ITManageactivityService;

import javax.annotation.Resource;

/**
 * 管理活动抽查Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-25
 */
@Service
public class TManageactivityServiceImpl implements ITManageactivityService
{
    @Resource
    private TManageactivityMapper tManageactivityMapper;

    /**
     * 查询管理活动抽查
     *
     * @param id 管理活动抽查ID
     * @return 管理活动抽查
     */
    @Override
    public TManageactivity selectTManageactivityById(Long id)
    {
        return tManageactivityMapper.selectTManageactivityById(id);
    }

    /**
     * 查询管理活动抽查列表
     *
     * @param tManageactivity 管理活动抽查
     * @return 管理活动抽查
     */
    @Override
    public List<TManageactivity> selectTManageactivityList(TManageactivity tManageactivity)
    {
        return tManageactivityMapper.selectTManageactivityList(tManageactivity);
    }

    /**
     * 新增管理活动抽查
     *
     * @param tManageactivity 管理活动抽查
     * @return 结果
     */
    @Override
    public int insertTManageactivity(TManageactivity tManageactivity)
    {
        return tManageactivityMapper.insertTManageactivity(tManageactivity);
    }

    /**
     * 修改管理活动抽查
     *
     * @param tManageactivity 管理活动抽查
     * @return 结果
     */
    @Override
    public int updateTManageactivity(TManageactivity tManageactivity)
    {
        return tManageactivityMapper.updateTManageactivity(tManageactivity);
    }

    /**
     * 批量删除管理活动抽查
     *
     * @param ids 需要删除的管理活动抽查ID
     * @return 结果
     */
    @Override
    public int deleteTManageactivityByIds(Long[] ids)
    {
        return tManageactivityMapper.deleteTManageactivityByIds(ids);
    }

    /**
     * 删除管理活动抽查信息
     *
     * @param id 管理活动抽查ID
     * @return 结果
     */
    @Override
    public int deleteTManageactivityById(Long id)
    {
        return tManageactivityMapper.deleteTManageactivityById(id);
    }
}
